Skip to main content
POST
/
api
/
v1
/
systemlog
/
exports
/
{export_id}
/
events
ListEvents
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.Export.ListEvents(ctx, operations.C1APISystemlogV1ExportServiceListEventsRequest{
        ExportID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.ExportServiceListEventsResponse != nil {
        // handle response
    }
}
{
  "list": [
    {}
  ],
  "nextPageToken": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://conductorone-groman-network-requirements-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

export_id
string
required

The ID of the system log export whose events are being listed.

Body

application/json

ExportServiceListEventsRequest is the request for listing audit events within a specific export.

pageSize
integer<int32>

The pageSize field.

pageToken
string

The pageToken field.

Response

200 - application/json

ExportServiceListEventsResponse is the response containing audit events for an export.

ExportServiceListEventsResponse is the response containing audit events for an export.

list
object[] | null

List contains an array of JSON OCSF events.

nextPageToken
string

The token to retrieve the next page of results, or empty if there are no more results.